Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscriptions

Get Subscription

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/subscriptions/{subscriptionId}

Retrieve details about a specific subscription.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Path Parameters

subscriptionIdstring
Required

The id of the subscription to fetch.

Format:
uuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "subscription": {    "id": "01929a94-5fce-7ccc-a7e4-7e9249133b39",    "paymentMethodId": "01924756-d1f6-738d-8040-90d76cedf01f",    "currency": "DKK",    "customerId": "User159",    "pointOfSaleId": "0192473a-e381-705c-b61c-fc2ac9624afc",    "reference": "reference-1",    "description": "string",    "state": "ACTIVE",    "statusReason": "CLOSED_BY_CARDHOLDER",    "type": "SCHEDULED",    "expiryDate": "2050-01-01",    "interval": {      "period": "MONTH",      "frequency": 1    },    "createdAt": "2019-08-24T14:15:22Z"  },  "paymentMethod": {    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "type": "CARD",    "subType": "Visa",    "customerId": "User159",    "expiry": "2024-07-29",    "createdAt": "2024-07-29T15:51:28.071Z",    "displayText": "40000000XXXX0003",    "accountUpdatesEnabled": false  }}